Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12ScriptingEnvironment

    java.lang.Object
      org.apache.batik.bridge.BaseScriptingEnvironment
          org.apache.batik.bridge.ScriptingEnvironment
              org.apache.batik.bridge.svg12.SVG12ScriptingEnvironment

    public class SVG12ScriptingEnvironment

extends ScriptingEnvironment

Manages scripting handlers for SVG 1.2 'handler' elements.

Nested Class Summary
`protected class` | `SVG12ScriptingEnvironment.DOMAttrModifiedListener`
`protected class` | `SVG12ScriptingEnvironment.DOMNodeInsertedListener` The listener class for 'DOMNodeInserted' event.
`protected class` | `SVG12ScriptingEnvironment.DOMNodeRemovedListener` The listener class for 'DOMNodeRemoved' event.
`protected class` | `SVG12ScriptingEnvironment.Global` The SVGGlobal object.
`protected class` | `SVG12ScriptingEnvironment.HandlerScriptingEventListener` To handle a scripting event with an XML Events style handler.

Nested classes/interfaces inherited from class org.apache.batik.bridge.ScriptingEnvironment
`ScriptingEnvironment.EvaluateIntervalRunnable, ScriptingEnvironment.EvaluateRunnable, ScriptingEnvironment.EvaluateRunnableRunnable, ScriptingEnvironment.ScriptingEventListener, ScriptingEnvironment.Window`

Field Summary
`static String` | `HANDLER_SCRIPT_DESCRIPTION` Constant used to describe handler scripts.
`protected TriplyIndexedTable` | `handlerScriptingListeners` The listeners for XML Events style handlers.

Fields inherited from class org.apache.batik.bridge.ScriptingEnvironment
`activateListener, beginListener, clickListener, domAttrModifiedListener, domNodeInsertedListener, domNodeRemovedListener, endListener, focusinListener, focusoutListener, keydownListener, keypressListener, keyupListener, listeners, mousedownListener, mousemoveListener, mouseoutListener, mouseoverListener, mouseupListener, repeatListener, SVG_DOM_EVENT, SVG_EVENT_ATTRS, svgAbortListener, svgErrorListener, svgResizeListener, svgScrollListener, svgUnloadListener, svgZoomListener, timer, updateManager, updateRunnableQueue`

Fields inherited from class org.apache.batik.bridge.BaseScriptingEnvironment
`ALTERNATE_EVENT_NAME, APPLICATION_ECMASCRIPT, bridgeContext, docPURL, document, EVENT_NAME, EVENT_SCRIPT_DESCRIPTION, INLINE_SCRIPT_DESCRIPTION, interpreter, languages, userAgent`

Constructor Summary
`SVG12ScriptingEnvironment(BridgeContext ctx)` Creates a new SVG12ScriptingEnvironment.

Method Summary
`protected void` | `addDocumentListeners()` Adds DOM listeners to the document.
`protected void` | `addScriptingListenersOn(Element elt)` Adds the scripting listeners to the given element.
`Window` | `createWindow(Interpreter interp, String lang)` Creates a new Window object.
`protected void` | `removeDocumentListeners()` Removes DOM listeners from the document.
`protected void` | `removeScriptingListenersOn(Element elt)` Removes the scripting listeners from the given element.

Methods inherited from class org.apache.batik.bridge.ScriptingEnvironment
`addScriptingListeners, interrupt, removeScriptingListeners, runEventHandler, updateScriptingListeners`

Methods inherited from class org.apache.batik.bridge.BaseScriptingEnvironment
`checkCompatibleScriptURL, createWindow, dispatchSVGDocEvent, dispatchSVGLoad, dispatchSVGLoadEvent, dispatchSVGResizeEvent, dispatchSVGScrollEvent, dispatchSVGZoomEvent, getInterpreter, getInterpreter, handleInterpreterException, handleSecurityException, initializeEnvironment, isDynamicDocument, isDynamicElement, isDynamicElement, loadScripts`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLER_SCRIPT_DESCRIPTION

    public static final String HANDLER_SCRIPT_DESCRIPTION

  Constant used to describe handler scripts. {0} - URL of document containing script. {1} - Event type {2} - Event namespace {3} - line number of element.

  See Also:
    Constant Field Values

### handlerScriptingListeners

    protected TriplyIndexedTable handlerScriptingListeners

  The listeners for XML Events style handlers. Maps (event namespace, event local name, element) to a handler.

Constructor Detail

### SVG12ScriptingEnvironment

    public SVG12ScriptingEnvironment(BridgeContext ctx)

  Creates a new SVG12ScriptingEnvironment.

  Parameters:
    `ctx` - the bridge context

Method Detail

### addDocumentListeners

    protected void addDocumentListeners()

  Adds DOM listeners to the document.

  Overrides:
    `addDocumentListeners` in class `ScriptingEnvironment`

### removeDocumentListeners

    protected void removeDocumentListeners()

  Removes DOM listeners from the document.

  Overrides:
    `removeDocumentListeners` in class `ScriptingEnvironment`

### addScriptingListenersOn

    protected void addScriptingListenersOn(Element elt)

  Adds the scripting listeners to the given element.

  Overrides:
    `addScriptingListenersOn` in class `ScriptingEnvironment`

### removeScriptingListenersOn

    protected void removeScriptingListenersOn(Element elt)

  Removes the scripting listeners from the given element.

  Overrides:
    `removeScriptingListenersOn` in class `ScriptingEnvironment`

### createWindow

    public Window createWindow(Interpreter interp,
                               String lang)

  Creates a new Window object.

  Overrides:
    `createWindow` in class `ScriptingEnvironment`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.